Paths on this page are relative to /api/liquidity-studio/v1. Authentication and required headers vary by operation.
API reference overview · OpenAPI download
Operations on this page#
| Method | Path | Operation |
|---|---|---|
GET |
/proposals |
getProposals |
GET |
/proposals/{proposalId} |
getProposalsByProposalId |
POST |
/proposals/{proposalId}/approve |
postProposalsByProposalIdApprove |
POST |
/proposals/{proposalId}/safe-bundle |
postProposalsByProposalIdSafeBundle |
POST |
/proposals/{proposalId}/submissions |
postProposalsByProposalIdSubmissions |
POST |
/proposals/{proposalId}/reject |
postProposalsByProposalIdReject |
POST |
/proposals/{proposalId}/submit |
postProposalsByProposalIdSubmit |
GET |
/proposals/{proposalId}/execution |
getProposalsByProposalIdExecution |
GET |
/proposals/{proposalId}/reconciliation |
getProposalsByProposalIdReconciliation |
getProposals#
GET /proposals
Operation ID: getProposals
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getProposalsByProposalId#
GET /proposals/{proposalId}
Operation ID: getProposalsByProposalId
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postProposalsByProposalIdApprove#
POST /proposals/{proposalId}/approve
Operation ID: postProposalsByProposalIdApprove
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postProposalsByProposalIdSafeBundle#
POST /proposals/{proposalId}/safe-bundle
Operation ID: postProposalsByProposalIdSafeBundle
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postProposalsByProposalIdSubmissions#
POST /proposals/{proposalId}/submissions
Operation ID: postProposalsByProposalIdSubmissions
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
transactionHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postProposalsByProposalIdReject#
POST /proposals/{proposalId}/reject
Operation ID: postProposalsByProposalIdReject
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postProposalsByProposalIdSubmit#
POST /proposals/{proposalId}/submit
Operation ID: postProposalsByProposalIdSubmit
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
transactionHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getProposalsByProposalIdExecution#
GET /proposals/{proposalId}/execution
Operation ID: getProposalsByProposalIdExecution
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getProposalsByProposalIdReconciliation#
GET /proposals/{proposalId}/reconciliation
Operation ID: getProposalsByProposalIdReconciliation
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
proposalId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ProposalRecord | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.